//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------
package org.huihoo.workflow.samples;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class HSQLDbTest
{

	public static void main(String[] args)
	{
		try
		{
			Class.forName("org.hsqldb.jdbcDriver");
		}
		catch (Exception e)
		{
			System.out.println("ERROR: failed to load HSQLDB JDBC driver.");
			e.printStackTrace();
			return;
		}
		new Thread()
		{
			public void run()
			{
				try
				{
					Connection c = DriverManager.getConnection("jdbc:hsqldb:hsql://localhost/workflow", "sa", "");
					System.err.println("--------------OK----------- : "+c);
					c.close();
				}
				catch (SQLException e1)
				{
					e1.printStackTrace();
				}
			}
		}.start();




	}
}
